Subject: Re: Early PCI auto-configuration

From: Frank Rowand <[email-masked]>
Date: Thu, 26 Oct 2000 20:01:32 -0700

Benjamin Herrenschmidt wrote:
>
> >
> >[The discussion below is based on the latest fsmlabs 5005 repository
> >code]
>
> You mean linuxppc_2_5, I guess ?
>
> >My problem:  The firmware on a couple platform I need to support do
> >absolutely _no_ PCI device initialization.

< stuff deleted >

> You may also want to look at pci_assign_unassigned_resources() (in
> drivers/pci/setup-res.c) and friends. They do things a bit differently,
> but it might match more closely what you want.

Note that pci_assign_unassigned_resources() gets called by the Alpha, MIPS,
and ARM kernels for this purpose, if I understand correctly...

--
Frank Rowand <[email-masked]>
MontaVista Software, Inc

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/